Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension Class Reference
Inheritance diagram for eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension:

## Public Member Functions
| getAlias ()
| load (array $configs, ContainerBuilder $container)
| getConfiguration (array $config, ContainerBuilder $container)

## Public Attributes
const | MAIN_SEARCH_ENGINE_ID = 'ezpublish.spi.search.elasticsearch'
const | HTTP_CLIENT_ID = 'ezpublish.search.elasticsearch.content.gateway.client.http.stream'
const | CONTENT_SEARCH_GATEWAY_ID = 'ezpublish.search.elasticsearch.content.gateway.native'
const | LOCATION_SEARCH_GATEWAY_ID = 'ezpublish.search.elasticsearch.location.gateway.native'

## Private Member Functions
| processConnectionConfiguration (ContainerBuilder $container, $config)
| Processes connection configuration by flattening connection parameters and setting them to the container as parameters. More...
| configureSearchServices (ContainerBuilder $container, $connectionName, $connectionParams)
| Creates needed search services for given connection name and parameters. More...

## Detailed Description

Definition at line 16 of file EzPublishElasticsearchSearchEngineExtension.php.

## Member Function Documentation

## ◆ configureSearchServices()

eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::configureSearchServices | ( | ContainerBuilder | $container,
|  |  | $connectionName,
|  |  | $connectionParams
| ) |  |
| private

Creates needed search services for given connection name and parameters.

Parameters

  ContainerBuilder | $container |
  string | $connectionName |
  array | $connectionParams |

Definition at line 91 of file EzPublishElasticsearchSearchEngineExtension.php.

References eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\getAlias().

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\processConnectionConfiguration().

## ◆ getAlias()

eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::getAlias | ( |  | ) |

Definition at line 23 of file EzPublishElasticsearchSearchEngineExtension.php.

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\configureSearchServices(), eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\getConfiguration(), and eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\processConnectionConfiguration().

## ◆ getConfiguration()

eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::getConfiguration | ( | array | $config,
|  | ContainerBuilder | $container
| ) |  |

Definition at line 125 of file EzPublishElasticsearchSearchEngineExtension.php.

References eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\getAlias().

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\load().

## ◆ load()

eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::load | ( | array | $configs,
|  | ContainerBuilder | $container
| ) |  |

Definition at line 28 of file EzPublishElasticsearchSearchEngineExtension.php.

References $loader, eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\getConfiguration(), and eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\processConnectionConfiguration().

## ◆ processConnectionConfiguration()

eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::processConnectionConfiguration | ( | ContainerBuilder | $container,
|  |  | $config
| ) |  |
| private

Processes connection configuration by flattening connection parameters and setting them to the container as parameters.

Parameters

  \Symfony\Component\DependencyInjection\ContainerBuilder | $container |
  array | $config |

Definition at line 57 of file EzPublishElasticsearchSearchEngineExtension.php.

References eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\configureSearchServices(), and eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\getAlias().

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension\load().

## Member Data Documentation

## ◆ CONTENT_SEARCH_GATEWAY_ID

const eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::CONTENT_SEARCH_GATEWAY_ID = 'ezpublish.search.elasticsearch.content.gateway.native'

Definition at line 20 of file EzPublishElasticsearchSearchEngineExtension.php.

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\ApiLoader\ElasticsearchEngineFactory\buildEngine().

## ◆ HTTP_CLIENT_ID

const eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::HTTP_CLIENT_ID = 'ezpublish.search.elasticsearch.content.gateway.client.http.stream'

Definition at line 19 of file EzPublishElasticsearchSearchEngineExtension.php.

## ◆ LOCATION_SEARCH_GATEWAY_ID

const eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::LOCATION_SEARCH_GATEWAY_ID = 'ezpublish.search.elasticsearch.location.gateway.native'

Definition at line 21 of file EzPublishElasticsearchSearchEngineExtension.php.

Referenced by eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\ApiLoader\ElasticsearchEngineFactory\buildEngine().

## ◆ MAIN_SEARCH_ENGINE_ID

const eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension::MAIN_SEARCH_ENGINE_ID = 'ezpublish.spi.search.elasticsearch'

Definition at line 18 of file EzPublishElasticsearchSearchEngineExtension.php.

The documentation for this class was generated from the following file:

- EzPublishElasticsearchSearchEngineExtension.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.